/****************************************************************************
 * 메인 배너 등록
 ****************************************************************************/
function fn_insertWebMainBanner(){
    if("Y"!=insertUseYn){
        modalEvent.warning("", "등록 권한이 없습니다.");
        return false;
    }

    let bannerType     = $("#bannerType").val();
    let title          = $("#title").val();
    let url            = $("#url").val();
    let file           = $("#file")[0].files[0];
    let file2          = $("#file2")[0].files[0];

    if(true != fn_emptyCheck(bannerType)) {
        modalEvent.warning("등록", "구분 정보를  입력하세요.");
        return;
    }

    if(true != fn_emptyCheck(title)) {
        modalEvent.warning("등록", "제목을 입력하세요.");
        return;
    }

    if(true != fn_emptyCheck(url)) {
        modalEvent.warning("등록", "url을 입력하세요.");
        return;
    }

    if(true != fn_emptyCheck(file)) {
        modalEvent.warning("등록", "모바일용 배너 정보가 없습니다.");
        return;
    }else{
        for(let i=0; i<file.length; i++){
            let fileSize = file[i].size;
            if(fileSize > fn_maxFileSize()){
                modalEvent.warning("", "파일정보 용량이 50MB를 넘습니다. 업로드가 불가능합니다.");

                return;
            }
        }
    }

    if(true != fn_emptyCheck(file2)) {
        modalEvent.warning("등록", "웹용 배너 정보가 없습니다.");
        return;
    }else{
        for(let i=0; i<file2.length; i++){
            let fileSize = file2[i].size;
            if(fileSize > fn_maxFileSize()){
                modalEvent.warning("", "파일정보 용량이 50MB를 넘습니다. 업로드가 불가능합니다.");

                return;
            }
        }
    }

    modalEvent.info("등록", "메인 배너 정보를 등록하시겠습니까?", function(){
        let formData = new FormData();
        formData.append("menuClass", menuClass);
        formData.append("bannerType", bannerType);
        formData.append("title", title);
        formData.append("url", url);
        formData.append("file", file);
        formData.append("file2", file2);

        $.ajax({
            url: encodeURI('/webmainbanner/insertWebMainBanner.do'),
            data: formData,
            dataType: "json",
            processData: false,
            contentType: false,
            type: 'POST',
            async: true,
            success: function(data){
                if('0'==data.msgCode){
                    modalEvent.success("등록 성공", data.msgDesc, function(){
                        fn_selectListWebMainBannerIntro();
                    });
                }
                else{
                    modalEvent.danger("등록 오류", data.msgDesc);
                }
            },
            error : function(xhr, status, error) {
                modalEvent.danger("등록 오류", "등록 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
            },
            beforeSend:function(){

            },
            complete:function(){

            }
        });
    });
}

/****************************************************************************
 * 섬네일 이미지 미리보기
 ****************************************************************************/
function fn_filePreview(){
   const file =  $("#file")[0].files[0];
   if(file){
       $('.img_box').eq(0).html('');
       const reader = new FileReader();

       reader.onload = function (e) {
           // 이미지 요소를 생성하고 미리보기 추가
           const img = document.createElement('img');
           img.src = e.target.result;
           img.style.width = '170px'; // 원하는 크기로 조정
           img.style.height = '100px';
           $('.img_box').eq(0).append(img);
       };

       // 파일을 읽기 시작
       reader.readAsDataURL(file);
   }
}
/****************************************************************************
 * 섬네일 이미지 삭제
 ****************************************************************************/
function fn_removePreview(){
    $("#file").val('');
    $('.img_box').eq(0).html('');
}

/****************************************************************************
 * 섬네일 이미지 미리보기2
 ****************************************************************************/
function fn_filePreview2(){
   const file =  $("#file2")[0].files[0];
   if(file){
       $('.img_box').eq(1).html('');
       const reader = new FileReader();

       reader.onload = function (e) {
           // 이미지 요소를 생성하고 미리보기 추가
           const img = document.createElement('img');
           img.src = e.target.result;
           img.style.width = '170px'; // 원하는 크기로 조정
           img.style.height = '170px';
           $('.img_box').eq(1).append(img);
       };

       // 파일을 읽기 시작
       reader.readAsDataURL(file);
   }
}
/****************************************************************************
 * 섬네일 이미지 삭제
 ****************************************************************************/
function fn_removePreview2(){
    $("#file2").val('');
    $('.img_box').eq(1).html('');
}

/****************************************************************************
 * 리스트 화면으로 이동.
 ****************************************************************************/
function fn_selectListWebMainBannerIntro(){
    if("Y"==selectUseYn){
        let pagingParam = "?menuClass="+menuClass;
        fn_leftFormAction("/webmainbanner/selectListWebMainBannerIntro.do"+pagingParam);
    }else{
        modalEvent.warning("", "조회 권한이 없습니다.");
        return false;
    }
}

/****************************************************************************
 * 페이지 init
 ****************************************************************************/
function fn_pageInit(){
    // 날짜 datepicker
    fn_searchDatePicker("#eventStartDate", "#eventEndDate");
}

/****************************************************************************
 * 페이지 event
 ****************************************************************************/
function fn_pageEvent(){
    // 검색 input
    $('.btnCancle').on("click", function(){
        fn_selectListWebMainBannerIntro();
    });

    $('.btnSave').on("click", function(){
        fn_insertWebMainBanner();
    });
    $('#delete_btn').on("click", function(){
        fn_removePreview();
    });
    $('#file').on('change', function(e) {
        fn_filePreview();
    })
    $('#delete_btn2').on("click", function(){
        fn_removePreview2();
    });
    $('#file2').on('change', function(e) {
        fn_filePreview2();
    })
    // 카테고리 선택 콤보 이벤트
    const categoryTarget = $("#bannerType").siblings("ul.select_option_list");
    categoryTarget.find("li.option_list_item").click(function () {
        let selectIdArr = $(this).prop("id").split('_');
        let selectId    = selectIdArr[1];
        let selectName  = $(this).text();
        if(selectId.match("ALL")){
            selectId = '';
        }
        $(this).parent().siblings("button").text(selectName);
        $(this).parent().siblings("input").val(selectId);
    });
}

$(function(){
    // 페이지 init
    fn_pageInit();

    // 페이지 event
    fn_pageEvent();
});